Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.property
Class BasicPropertyAccessor

    java.lang.Object
      org.hibernate.property.BasicPropertyAccessor

All Implemented Interfaces:
  PropertyAccessor

    public class BasicPropertyAccessor

extends Object
implements PropertyAccessor

Accesses property values via a get/set pair, which may be nonpublic. The default (and recommended strategy).

Nested Class Summary
`static class` | `BasicPropertyAccessor.BasicGetter`
`static class` | `BasicPropertyAccessor.BasicSetter`

Constructor Summary
`BasicPropertyAccessor()`

Method Summary
`static Getter` | `createGetter(Class theClass, String propertyName)`
`Getter` | `getGetter(Class theClass, String propertyName)` Create a "getter" for the named attribute
`Setter` | `getSetter(Class theClass, String propertyName)` Create a "setter" for the named attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicPropertyAccessor

    public BasicPropertyAccessor()

Method Detail

### getSetter

    public Setter getSetter(Class theClass,
                            String propertyName)
                     throws PropertyNotFoundException

  Description copied from interface: `PropertyAccessor`
  Create a "setter" for the named attribute

  Specified by:
    `getSetter` in interface `PropertyAccessor`
  Parameters:
    `theClass` - The class on which the property is defined.
    `propertyName` - The name of the property.
  Returns:
    An appropriate setter
  Throws:
    `PropertyNotFoundException` - Indicates a problem interpretting the propertyName

### getGetter

    public Getter getGetter(Class theClass,
                            String propertyName)
                     throws PropertyNotFoundException

  Description copied from interface: `PropertyAccessor`
  Create a "getter" for the named attribute

  Specified by:
    `getGetter` in interface `PropertyAccessor`
  Parameters:
    `theClass` - The class on which the property is defined.
    `propertyName` - The name of the property.
  Returns:
    An appropriate getter.
  Throws:
    `PropertyNotFoundException` - Indicates a problem interpretting the propertyName

### createGetter

    public static Getter createGetter(Class theClass,
                                      String propertyName)
                               throws PropertyNotFoundException

  Throws:
    `PropertyNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.